search cancel

UIM 20.3.3 issues deploying / upgrading java_jre v2.06 to hubs and robots

book

Article ID: 214997

calendar_today

Updated On:

Products

DX Unified Infrastructure Management (Nimsoft / UIM)

Issue/Introduction

This technical article documents an issue faced deploying the latest java_jre v2.06 to existing robots or hubs in UIM 20.3.3. 

Symptoms of problem: 

1. The java_jre package update may succeed on the target robot or hub however, checking the java_jre version on the controller install packages still lists the previous version. 

2. The java_jre package update may fail on deployment. 

Note: This issue does not impact all robots or hubs and is only seen on robots where java probes are running. 

Environment

Release : 20.3

Component : UIM - ROBOT

Cause

This issue is caused by a robot restart during the process of the controller stopping existing java probes running on the target robot or hub. 

Resolution

The fix for this issue is available as part of robot_update_9.33_HF2. 

The download and release notes can be found here: Broadcom Support Portal 

Note: If the package is not visible on the UIM HF Index Site, please contact support.